# TokyoTyrant::ext

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::ext — Execute a remote script

### Description

public TokyoTyrant::ext ( string `$name` , int `$options` , string `$key` , string `$value` ) : string

Executes a remote script extension.

### Parameters

`name`

  Name of the function to execute

`options`

  Either `TokyoTyrant::RDBXO_LCKREC` for record locking and `TokyoTyrant::RDBXO_LCKGLB` for global locking.

`key`

  The key to pass to the function

`value`

  The value to pass to the function

### Return Values

Returns the result of the script function

### Examples

Example #1 TokyoTyrant::ext() example

`<?php
$tt = new TokyoTyrant("localhost", 1978);
echo $tt->ext("somefunc", TokyoTyrant::RDBXO_LCKREC, "some_key", "some_value");
?>`